Bug 642666 - Review Request: rubygem-progressbar - ProgressBar is a text progress bar library for Ruby
Summary: Review Request: rubygem-progressbar - ProgressBar is a text progress bar libr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-13 14:31 UTC by Michal Fojtik
Modified: 2010-11-24 22:44 UTC (History)
2 users (show)

Fixed In Version: rubygem-progressbar-0.9.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-08 16:50:07 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Michal Fojtik 2010-10-13 14:31:27 UTC
Spec URL: http://mifo.sk/RPMS/rubygem-progressbar.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-progressbar-0.9.0-1.fc13.src.rpm

Description:

ProgressBar is a text progress bar library for Ruby. It can indicate
progress with percentage, a progress bar, and estimated remaining time.

Comment 1 Mamoru TASAKA 2010-10-13 16:43:58 UTC
Hello, Michal:

I will take this. Instead would you review bug 637939?
(Actualy rubygem-gtk2 depends on bug 637939 (rubygem-gdk_pixbuf2))

Comment 2 Mamoru TASAKA 2010-10-13 17:52:20 UTC
Some notes:

* License
  - When the source code says the license is "under the same as Ruby",
    on Fedora this means "GPLv2 or Ruby".

? %_bindir/patch, %_bindir/ruby
  - Not a blocker, however are there any need that you write
    %_bindir explicitly? (not a blocker)

* Encoding
  - README.ja.rd is encoded in EUC-JP. Please change the encoding
    of this file to UTF-8 (by $ iconv -f EUC-JP -t UTF-8)

Comment 3 Mamoru TASAKA 2010-10-13 18:28:07 UTC
! Applying patch
  - By the way it is preferred that you use %patchX macro
    (see mmorsi's comment on bug 640627 comment 3)

Comment 4 Mamoru TASAKA 2010-10-27 18:45:08 UTC
ping?

Comment 5 Michal Fojtik 2010-10-29 07:59:00 UTC
Hi,

I'm sorry, just too much work ;-)

* Fri Oct 29 2010 Michal Fojtik <mfojtik@redhat.com> - 0.9.0-2
- Fixed encoding on README.ja.rd
- Changed way how patch is applied
- Removed unneeded bindir macro
- License changed to Ruby

================ 0.9.0-2 ======================

Spec URL: http://mifo.sk/RPMS/rubygem-progressbar.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-progressbar-0.9.0-2.fc13.src.rpm

Comment 6 Mamoru TASAKA 2010-10-29 16:55:55 UTC
Okay.

--------------------------------------------------------
    This package (rubygem-progressbar) is APPROVED
    by mtasaka
--------------------------------------------------------

Comment 7 Michal Fojtik 2010-11-04 09:53:14 UTC
Thank you for the review!

New Package SCM Request
=======================
Package Name:      rubygem-progressbar
Short Description: ProgressBar is a text progress bar library for Ruby
Owners:            mfojtik
Branches:          f13 f14

Comment 8 Jason Tibbitts 2010-11-05 17:25:15 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2010-11-08 08:30:27 UTC
rubygem-progressbar-0.9.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-progressbar-0.9.0-2.fc13

Comment 10 Fedora Update System 2010-11-08 08:35:47 UTC
rubygem-progressbar-0.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-progressbar-0.9.0-2.fc14

Comment 11 Mamoru TASAKA 2010-11-08 16:50:07 UTC
Closing.

Comment 12 Fedora Update System 2010-11-24 22:36:39 UTC
rubygem-progressbar-0.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-24 22:44:30 UTC
rubygem-progressbar-0.9.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.